Bug 250364

Summary: devel/glib20: make run-depend on python OPTIONal
Product: Ports & Packages Reporter: Pietro Cerutti <gahr>
Component: Individual Port(s)Assignee: freebsd-desktop (Team) <desktop>
Status: New ---    
Severity: Affects Only Me CC: gahr, tcberner
Priority: --- Flags: bugzilla: maintainer-feedback? (desktop)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch none

Description Pietro Cerutti freebsd_committer 2020-10-15 10:00:46 UTC
Created attachment 218756 [details]
Patch

I would like to make OPTIONal the run-dependency of glib20 on python, with a default that keeps the current status. The reason is that many packages depend on glib only for its shared libraries, and it is unconvenient to have to install 100MB of python just for that.

If MAINTAINER agrees, there are two approaches:

1. just make the run-dependency optional
This is what is currently implemented in the attached patch. The plist does not change so it's still possible to install python later to run glib-genmarshal and friends.

2. make the run-dependency optional and skip the installation of anything that relies on python
Perhaps safer, perhaps overkill given that python continues to be a run-dependency by default and turning that off means you know what you are doing. However, if you prefer this approach, I'm prepared to implement it.